%global srcname pungi

Name:           python-%{srcname}
Version:        0.1.4
Release:        1%{?dist}
Summary:        A python mocking framework

License:        MIT
URL:            https://pypi.org/project/pungi/
Source0:        %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
Simple and powerful python mocking framework with extensible assertion matchers (Inspired by jasmine BDD framework)
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

# Note that there is no %%files section for the unversioned python module
%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/